package com.leanwo.activiti.dto.base;

import java.io.Serializable;
import java.util.Date;

/**
 * 任务描述.
 *
 * @author Administrator
 */
public class TaskDescription implements Serializable {

	/**
	 * 任务Id.
	 */
	private String id;
	
	/**
	 *  流程名称.
	 */
	private String name;
	

	/**
	 *  流程责任人Id.
	 */
	private String assigneeId;
	
	/**
	 *  流程责任人.
	 */
	private String assignee;
	
	
	
	/**
	 *  流程责任人图片.
	 */
	private String assigneeImageUrl;
	
	/**
	 *  流程开始时间.
	 */
	private Date startTime;

	/**
	 * Gets the 任务Id.
	 *
	 * @return the 任务Id
	 */
	public String getId() {
		return id;
	}

	/**
	 * Sets the 任务Id.
	 *
	 * @param id the new 任务Id
	 */
	public void setId(String id) {
		this.id = id;
	}

	/**
	 * Gets the 流程名称.
	 *
	 * @return the 流程名称
	 */
	public String getName() {
		return name;
	}

	/**
	 * Sets the 流程名称.
	 *
	 * @param name the new 流程名称
	 */
	public void setName(String name) {
		this.name = name;
	}

	/**
	 * Gets the 流程责任人.
	 *
	 * @return the 流程责任人
	 */
	public String getAssignee() {
		return assignee;
	}

	/**
	 * Sets the 流程责任人.
	 *
	 * @param assignee the new 流程责任人
	 */
	public void setAssignee(String assignee) {
		this.assignee = assignee;
	}

	/**
	 * Gets the 流程开始时间.
	 *
	 * @return the 流程开始时间
	 */
	public Date getStartTime() {
		return startTime;
	}

	/**
	 * Sets the 流程开始时间.
	 *
	 * @param startTime the new 流程开始时间
	 */
	public void setStartTime(Date startTime) {
		this.startTime = startTime;
	}

	/**
	 * Gets the 流程责任人图片.
	 *
	 * @return the 流程责任人图片
	 */
	public String getAssigneeImageUrl() {
		return assigneeImageUrl;
	}

	/**
	 * Sets the 流程责任人图片.
	 *
	 * @param assigneeImageUrl the new 流程责任人图片
	 */
	public void setAssigneeImageUrl(String assigneeImageUrl) {
		this.assigneeImageUrl = assigneeImageUrl;
	}

	public String getAssigneeId() {
		return assigneeId;
	}

	public void setAssigneeId(String assigneeId) {
		this.assigneeId = assigneeId;
	}
	
}
